/// <reference types="wicg-file-system-access" />
import { Contents, ServerConnection } from '@jupyterlab/services';
import { ISignal } from '@lumino/signaling';
export declare class FileSystemDrive implements Contents.IDrive {
    get isDisposed(): boolean;
    dispose(): void;
    get name(): string;
    get serverSettings(): ServerConnection.ISettings;
    get fileChanged(): ISignal<Contents.IDrive, Contents.IChangedArgs>;
    get rootHandle(): FileSystemDirectoryHandle | null;
    set rootHandle(handle: FileSystemDirectoryHandle | null);
    get(localPath: string, options?: Contents.IFetchOptions): Promise<Contents.IModel>;
    getDownloadUrl(localPath: string): Promise<string>;
    newUntitled(options?: Contents.ICreateOptions): Promise<Contents.IModel>;
    delete(localPath: string): Promise<void>;
    rename(oldLocalPath: string, newLocalPath: string): Promise<Contents.IModel>;
    save(localPath: string, options?: Partial<Contents.IModel>): Promise<Contents.IModel>;
    copy(localPath: string, toLocalDir: string): Promise<Contents.IModel>;
    createCheckpoint(localPath: string): Promise<Contents.ICheckpointModel>;
    listCheckpoints(localPath: string): Promise<Contents.ICheckpointModel[]>;
    restoreCheckpoint(localPath: string, checkpointID: string): Promise<void>;
    deleteCheckpoint(localPath: string, checkpointID: string): Promise<void>;
    private _isDisposed;
    private _fileChanged;
    private _rootHandle;
}
